<?php
/**
 * Reading Progress. Exclusively on Envato Market: https://1.envato.market/42themeCC
 * @encoding     UTF-8
 * @version      2.0.0
 * @copyright    Copyright (C) 2016 - 2021 42Theme (https://42theme.com). All rights reserved.
 * @license      Envato Standard Licenses
 * @author       Alexander Khmelnitskiy
 * @support      support@42theme.com
 **/

namespace T42\ReadingProgress;

/** Exit if accessed directly. */
if ( ! defined( 'ABSPATH' ) ) {
    header( 'Status: 403 Forbidden' );
    header( 'HTTP/1.1 403 Forbidden' );
    exit;
}

/**
 * SINGLETON: Class used to implement preview control.
 *
 * @since 2.0.0
 * @author Alexander Khmelnitskiy
 **/
final class Preview extends Tab {

    use Singleton;

    /**
     * Render Textarea field.
     *
     * @param string $key - Field key.
     * @param string $tab_slug - Tab slug to which the field belongs.
     *
     * @since 2.0.0
     * @access public
     *
     * @return void
     **/
    public function render_preview( $key, $tab_slug ) {

        /** Prepare general field params. */
	    list( $field, $description, $attr ) = TabGeneral::get_instance()->prepare_general_params( $tab_slug, $key );

        /** Render progressbar. */
        ?>
	    <div class="t42-preview-field" id="t42-reading-progress-wrapper">
            <div id="t42-reading-progress"></div>
	    </div>
	    <?php if ( $description ) : ?>
		    <div class="t42-flex t42-flex-middle t42-margin-small-top t42-text-muted t42-description">
			    <?php echo wp_kses_post( $description ); ?>
		    </div>
	    <?php endif;

    }

} // End class Preview.
